package com.chelvc.cloud.vehicle.api.dto;

import com.chelvc.cloud.uc.api.dto.UserDTO;
import lombok.Data;

import java.io.Serializable;

/**
 * 扩展信息
 *
 * @author igl
 * @date 2023/12/10 02:29
 */
@Data
public class AttentionUserDTO implements Serializable {

  private static final long serialVersionUID = -6263230284944185865L;

  /**
   * 用户信息
   */
  private UserDTO userDTO;

  /**
   * 关注状态(0-自己关注，对方未关注；1-对方已关注，自己未关注；2-互相关注)
   */
  private Integer flag;
}
