package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.AttentionType;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: igl
 * @date: 2023/8/14 16:14
 */
@Data
public class QueryAttentionParam implements Serializable {

  private static final long serialVersionUID = -4730543402654742104L;

  /**
   * ATTENTION-关注
   * FANS-粉丝
   * FRIEND-好友
   */
  @NotNull(message = "请选择查询类型")
  private AttentionType type;
}
